clang-tools 10.0.0

Classes | Namespaces | Enumerations | Functions
Ref.h File Reference
`#include "SymbolID.h"`
`#include "SymbolLocation.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/Support/StringSaver.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cstdint>`
`#include <set>`
`#include <utility>`
Include dependency graph for Ref.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::Ref
| Represents a symbol occurrence in the source file. More...
class | clang::clangd::RefSlab
| An efficient structure of storing large set of symbol references in memory. More...
class | clang::clangd::RefSlab::Builder
| RefSlab::Builder is a mutable container that can 'freeze' to RefSlab. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::RefKind : uint8_t { clang::clangd::RefKind::Unknown = 0, clang::clangd::RefKind::Declaration = static_cast<uint8_t>(index::SymbolRole::Declaration), clang::clangd::RefKind::Definition = static_cast<uint8_t>(index::SymbolRole::Definition), clang::clangd::RefKind::Reference = static_cast<uint8_t>(index::SymbolRole::Reference), clang::clangd::RefKind::All = Declaration | Definition | Reference }
| Describes the kind of a cross-reference. More...

## Functions
RefKind | clang::clangd::operator| (RefKind L, RefKind R)
RefKind & | clang::clangd::operator|= (RefKind &L, RefKind R)
RefKind | clang::clangd::operator & (RefKind A, RefKind B)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, RefKind K)
bool | clang::clangd::operator< (const Ref &L, const Ref &R)
bool | clang::clangd::operator== (const Ref &L, const Ref &R)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Ref &R)